Автор Тема: при выполнении обновления ргается на egrep  (Прочитано 245 раз)

Оффлайн flint1975

  • Завсегдатай
  • *
  • Сообщений: 1 405
    • Email
При обновлении или при обновлении ядра ругается:
egrep: warning: egrep is obsolescent; using grep -EНе понимаю это корректно или чинить?

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 7 764
При обновлении или при обновлении ядра ругается:
egrep: warning: egrep is obsolescent; using grep -EНе понимаю это корректно или чинить?
Наверное чинить. На "grep -E" менять.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 469
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Это предупреждение авторам скриптов от разработчиков grep, что в ближайшее время команд egrep и fgrep не будет, и что им надо вместо их использовать команду grep c соответствующими ключами.

Оффлайн flint1975

  • Завсегдатай
  • *
  • Сообщений: 1 405
    • Email
Наверное чинить. На "grep -E" менять.
Сергей, я не понял что чинить, я в основном bash.rc создал алиас на egrep=grep -E
И ничего не поменялось!

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 469
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
И не поменяется. Это каждый скрипт надо менять.

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 31 469
  • Учиться .... Телепатами не рождаются, ими ....
    • Email

Оффлайн Антон Мидюков

  • alt linux team
  • ***
  • Сообщений: 4 694
  • antohami@
Наверное чинить. На "grep -E" менять.
Сергей, я не понял что чинить, я в основном bash.rc создал алиас на egrep=grep -E
И ничего не поменялось!


Надо чинить все пакеты, у которых в /usr/lib/rpm/*.filetrigger используется egrep или fgrep.